%define name dopi
%define version 0.3.4
%define svn 238
%define release %mkrel 2.%svn.2

Summary: Song uploader for the Apple iPod
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.snorp.net/files/dopi/%{name}-%{svn}.tar.bz2
Patch: dopi-238-desktopentry.patch
License: GPL
Group: Sound
Url: http://www.snorp.net/log/dopi/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: mono-devel
BuildRequires: ipod-sharp
BuildRequires: glade-sharp2
BuildRequires: glib2-devel
BuildRequires: ndesk-dbus-glib
BuildRequires: perl-XML-Parser
BuildRequires: gnome-common intltool

%description
Dopi is an application that allows you to update the songs stored on
your Apple iPod®, similar to gtkpod.

%prep
%setup -q -n %name
%patch -p0
./autogen.sh

%build
%configure2_5x
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%if %_lib != lib
mv %buildroot%_prefix/lib/%name/* %buildroot%_libdir/%name/
perl -pi -e "s^%_prefix/lib^%_libdir^" %buildroot%_bindir/%name
%endif
rm -f %buildroot%_libdir/%name/libbacon*a %buildroot%_libdir/%name/ipod-sharp*
ln -s %_prefix/lib/ipod-sharp/ipod-sharp* %buildroot%_libdir/%name/

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database

%postun
%clean_desktop_database

%files
%defattr(-,root,root)
%_bindir/%name
%_libdir/%name
%_datadir/applications/%name.desktop




%changelog
* Thu Mar 06 2008 Götz Waschk <waschk@mandriva.org> 0.3.4-2.238.2mdv2008.1
+ Revision: 180319
- add support for autostart from nautilus
- add missing scripts

* Thu Feb 21 2008 Götz Waschk <waschk@mandriva.org> 0.3.4-2.238.1mdv2008.1
+ Revision: 173516
- fix buildrequires
- readd taglib
- svn snapshot
- fix desktop entry
- remove taglib-sharp

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Nov 01 2006 Götz Waschk <waschk@mandriva.org> 0.3.4-2mdv2007.0
+ Revision: 75013
- fix path on x86_64
- Import dopi

* Wed Nov 01 2006 Götz Waschk <waschk@mandriva.org> 0.3.4-1mdv2007.1
- initial package

